Skip to main content
GET
/
wallets
List wallets
curl --request GET \
  --url https://sandbox.kulmipay.com/api/v1/wallets \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "available_balance": "<string>",
      "wallet_id": "<string>",
      "label": "<string>",
      "can_disburse": true,
      "current_balance": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ISSecretKey_test_xxxxxxxxxxxxxxxx
required

Use your KulmiPay secret key as the Bearer token.

Query Parameters

record_id
string
label
string
wallet_type
string
currency
string
can_disburse
string
updated_at
string
page
integer

A page number within the paginated result set.

Response

200 - application/json
count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null